> For the complete documentation index, see [llms.txt](https://docs.malwation.com/cdr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.malwation.com/cdr/api-documentation/start-submission.md).

# Start Submission

Send file & Get the Result Id

## Start Submission

This is where you can upload & start a new submission. File should be sent with **multipart/form-data** and the key is **file**.

### Authentication

{% hint style="danger" %}
Please be careful while sending the header, its key is "**api-token**".
{% endhint %}

### Queries

Queries are the things that we sent from the URL, like this:\
***<http://google.com?query1=test1\\&query2=test2>***

The queries here are "*query1 and query2*". CDR has three queries that can be sent, all of them are optional:

* ***webhook:*** This is the query for getting notification when submission is finished. The return schema/example is something like this:

```json
{
    "resultId": "fa8103b3-8764-4130-bb66-a7919d67093e"
}
```

* ***extension:*** This is the query if you manually want to set an extension for you CDR process. Not recommended since our system gets this automatically but, we have the option.
* ***filedata*****:** Manually, while getting the result of the CDR submission, it doesn't return sanitized file in the result. By giving any value here(value doesn't matter, just give it) CDR will send the sanitized file as "***file\_data***" key, in ***base64*** form.&#x20;

{% openapi src="/files/J2xlLlCcLsvaChgJdyrQ" path="/start/upload-file" method="post" %}
[api\_manager\_openapi.json](https://1474744516-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4rrhRteyjvG2Jn5qIQa5%2Fuploads%2FixkzoY7HuxVdGSrPEoww%2Fapi_manager_openapi.json?alt=media\&token=2251dbaa-83b1-43aa-8ccc-328e1c6229d3)
{% endopenapi %}

### Example Response

```json
{	
	"resultId": "a3d68330-4155-469c-a393-beaa645015da",
	"message": "Successfully started the submission process. Use GET /listen/:resultId to get the information about the submission."
}
```
